wood burning stoves 2.0*
The moose likes Applets and the fly likes How to solve this problem? Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Java » Applets
Bookmark "How to solve this problem?" Watch "How to solve this problem?" New topic
Author

How to solve this problem?

Chetan Parekh
Ranch Hand

Joined: Sep 16, 2004
Posts: 3636
We have applet developed using SUN JDK 1.1.6.

It is running fine with the default Microsoft JRE comes with IE 6.0, but when we install Sun JDK-JRE 1.5 / Tiger, it stop working. If we disable JRE 1.5, again it starts working.


My blood is tested +ve for Java.
Ulf Dittmer
Marshal

Joined: Mar 22, 2005
Posts: 39547
    
  27
Do you get any error messages in the Java console?

Do you have the source, to check whether it uses any MS-only methods or maybe sun.* methods that may no longer exist?


Ping & DNS - updated with new look and Ping home screen widget
Chetan Parekh
Ranch Hand

Joined: Sep 16, 2004
Posts: 3636
There are no error message in the console, actually the thing that is not working is the refresh of the applet, we have a Thread within the applet that reads files and displays the content in the applet and these files are updated every minute, So when we refresh the browser window we get the old values and not the updated one, we also clear out the cache every time.....
Ulf Dittmer
Marshal

Joined: Mar 22, 2005
Posts: 39547
    
  27
If you have the source, and it is just some functionality that works differently, I see no reason why this can't be tracked down by any means of debugging available.
matt eggbeers
Greenhorn

Joined: Mar 11, 2005
Posts: 14
I have a similar problem, but the oposite. I have an applet that works great when I force IE 6 to use JRE 1.4.2, but when I let IE use the default microsoft VM I get "class UploadFileApplet not found" in the status bar and the Java console does not work. My tag is as follows:


I do have a lot of "fancsy" GUI components like JList and JProgress bar, would this prevent the browser from loading the class? I thought it would just say that the applet could not be initalized.
Thanks,
Matt

[ October 26, 2005: Message edited by: matt eggbeers ]
[ October 26, 2005: Message edited by: matt eggbeers ]
Ulf Dittmer
Marshal

Joined: Mar 22, 2005
Posts: 39547
    
  27
@Matt:

I seem to remember (it's been years since I used the MS JVM) that it couldn't handle jar files very well, or at least neither compressed jar files nor signed jar files.

And, being Java 1.1, it doesn't have any of the Swing classes that you mention, so you would have to install those yourself. They're downloadable here. You can't use any of the other Java 1.2/1.3/1.4 APIs at all, of course.
[ October 26, 2005: Message edited by: Ulf Dittmer ]
matt eggbeers
Greenhorn

Joined: Mar 11, 2005
Posts: 14
Ulf,
1.) I thought that might be that the MSJVM did not like jars so I created another simple applet

and this too loaded in Mozilla and IE when forced to use JRE 1.4.2 but not the default. So, I have decided to force the users to download this JVM

2.) The MSJVM is closest to JRE 1.1?

3.) Thanks for your response.

Matt
Ulf Dittmer
Marshal

Joined: Mar 22, 2005
Posts: 39547
    
  27
Yes, the MS JVM implements Java 1.1.4 (and has a bunch of bugs, but is very fast for a 1.1-JVM), while HeadlessException was added in Java 1.4, so it can't possibly work.
matt eggbeers
Greenhorn

Joined: Mar 11, 2005
Posts: 14
Thanks again Ulf...
I hate Microsoft and I hope I never have to write an Applet again.
[ October 26, 2005: Message edited by: matt eggbeers ]
Ulf Dittmer
Marshal

Joined: Mar 22, 2005
Posts: 39547
    
  27
Don't give up on applets. The situation is much better than it used to be, although much worse than 7 years or so ago. These days you have a good chance of getting a 1.4-JVM running in your browser. The MS JVM is way obsolete, of course.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: How to solve this problem?
 
Similar Threads
Error allocating a servlet instance
want to use sha-1 with sun jre v1.5 and ibm jre v1.5
confusion in ==
JDK version vs JRE version
Dependency of 32bit JDK that is packaged with weblogic 9.2MP3 being installed on 64 bit processor